Subject: Re: Recent wireless breakage (ipw2200, iwconfig, NetworkManager)

From: Andrew Morton <[email-masked]>
Date: Mon, 5 Mar 2007 17:08:49 -0800

On Mon, 5 Mar 2007 19:56:25 -0500
Theodore Tso <[email-masked]> wrote:

> So the question really is are we really done making changes to sysfs,
> or maybe what we should do is talk about major version numbers to
> sysfs.

Perhaps using a config option wasn't the right way to do this - a kernel
boot parameter might be better.

In fact, one could envisage a kernel boot parameter "sysfs_version=N" which 
will allow distro people to select the sysfs-of-the-day which works with their
userspace.

Because it does appear that we need _something_ which will get us away from this
ongoing problem of needing to keep the kernel and userspace synchronised across
sysfs changes.